%global pkgname Flask-XML-RPC-Re
%global srcname flask-xml-rpc-re

Name:           python-%{srcname}
Version:        0.1.4
Release:        1%{?dist}
Summary:        Adds support for creating XML-RPC APIs to Flask

License:        MIT
URL:            https://github.com/Croydon/flask-xml-rpc-reloaded
Source0:        %{pypi_source Flask-XML-RPC-Re}
Patch0:         python-flask-xml-rpc-re-sphinx.patch
Patch1:         python-flask-xml-rpc-re-namespace.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
# Test dependencies
BuildRequires:  python3dist(nose)

%global _description %{expand:
Flask-XML-RPC-Re adds XML-RPC support to Flask. This way,
you can provide simple APIs easily accessible from almost any programming
language.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

Requires:       python3dist(flask)
%description -n python3-%{srcname} %_description

%package -n python-%{srcname}-doc
Summary:        Documentation for flask-xml-rpc-re
%description -n python-%{srcname}-doc
Documentation for flask-xml-rpc-re


%prep
%autosetup -p0 -n Flask-XML-RPC-Re-%{version}
# Modern namespace packages
rm flaskext/__init__.py
# https://github.com/Croydon/flask-xml-rpc-reloaded/issues/8
echo "from .xmlrpcre import *" > flask_xmlrpcre/__init__.py


%generate_buildrequires
%pyproject_buildrequires


%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install


%check
%py3_test_envvars %{__python3} -m nose
# Make sure the (deprecated) flaskext namespace is importable
%py3_check_import flaskext.xmlrpc


%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/flask_xmlrpcre
%{python3_sitelib}/flaskext
%{python3_sitelib}/Flask_XML_RPC_Re-%{version}-py%{python3_version}.egg-info

%files -n python-%{srcname}-doc
%doc html example
%license LICENSE

%changelog
* Sun Apr 27 2025 Aurelien Bompard <abompard@fedoraproject.org> - 0.1.4-1
- Initial package.
